server {
		listen 443 ssl;
		

    		server_name twitch-api.seitan-ayoub.lol;
		ssl_certificate /etc/nginx/certs/_.seitan-ayoub.lol.crt;
		ssl_certificate_key /etc/nginx/certs/_.seitan-ayoub.lol.key;
		ssl_protocols TLSv1 TLSv1.1 TLSv1.2 TLSv1.3;
		set $backend "http://safetwitch-backend:7000";
    		location /{

			proxy_pass $backend;
			proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
			proxy_set_header Host $host;
			proxy_set_header Upgrade $http_upgrade;
			proxy_set_header Connection "upgrade";
			proxy_http_version 1.1;
			
    		}

	}

upstream chat {
	ip_hash; 
	server safetwitch-backend:7000;
}
